diff --git a/src/settings.cpp b/src/settings.cpp
--- a/src/settings.cpp
+++ b/src/settings.cpp
@@ -61,6 +61,10 @@
 #include "smallmap_gui.h"
 #include "roadveh.h"
 #include "fios.h"
+#include "company_manager_face.h"
+#include "infrastructure_func.h"
+#include "strings_func.h"
+#include "trafficlight_func.h"
 
 #include "void_map.h"
 #include "station_base.h"
@@ -950,7 +954,7 @@
  * J: breakdowns (0 = off, 2 = normal)
  * K: subsidy multiplier (0 = 1.5, 3 = 4.0)
  * L: construction cost (0-2)
- * M: terrain type (0 = very flat, 3 = mountainous)
+ * M: terrain type (0 = very flat, 6 = alpinist)
  * N: amount of water (0 = very low, 3 = high)
  * O: economy (0 = steady, 1 = fluctuating)
  * P: Train reversing (0 = end of line + stations, 1 = end of line)
@@ -959,10 +963,10 @@
  * S: the difficulty level
  */
 static const DifficultySettings _default_game_diff[3] = { /*
-	 A, C, D,      E, F, G, H, J, K, L, M, N, O, P, Q, R, S*/
-	{2, 2, 4, 300000, 2, 0, 2, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0}, ///< easy
-	{4, 2, 3, 150000, 3, 1, 3, 2, 1, 1, 2, 1, 1, 1, 1, 1, 1}, ///< medium
-	{7, 3, 3, 100000, 4, 1, 3, 2, 0, 2, 3, 2, 1, 1, 1, 2, 2}, ///< hard
+	 A, C, D,         E, F, G, H, J, K, L, M, N, O, P, Q, R, S*/
+	{0, 2, 1, 999950000, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0}, ///< kidscorner
+	{4, 2, 3,    150000, 3, 1, 3, 2, 1, 1, 2, 1, 1, 1, 1, 1, 1}, ///< medium
+	{7, 3, 3,    100000, 4, 1, 3, 2, 0, 2, 3, 2, 1, 1, 1, 2, 2}, ///< hard
 };
 
 void SetDifficultyLevel(int mode, DifficultySettings *gm_opt)
@@ -1069,6 +1073,21 @@
 	return LookupOneOfMany("normal|hilly|desert|candy", value);
 }
 
+/**
+ * What to do when traffic light Setting was changed.
+ * @param p1 unused
+ * @return always 0
+ */
+static bool TLSettingChanged(int32 p1)
+{
+	/* Road building gui changed. */
+	MarkWholeScreenDirty();
+
+	/* If traffic lights got disabled, clear them all. */
+	if (!_settings_game.construction.traffic_lights) ClearAllTrafficLights();
+	return true;
+}
+
 static bool CheckFreeformEdges(int32 p1)
 {
 	if (_game_mode == GM_MENU) return true;
@@ -1186,6 +1205,28 @@
 	return true;
 }
 
+static bool CheckSharingRail(int32 p1)
+{
+	if (!CheckSharingChangePossible(VEH_TRAIN)) return false;
+	UpdateAllBlockSignals();
+	return true;
+}
+
+static bool CheckSharingRoad(int32 p1)
+{
+	return CheckSharingChangePossible(VEH_ROAD);
+}
+
+static bool CheckSharingWater(int32 p1)
+{
+	return CheckSharingChangePossible(VEH_SHIP);
+}
+
+static bool CheckSharingAir(int32 p1)
+{
+	return CheckSharingChangePossible(VEH_AIRCRAFT);
+}
+
 #endif /* ENABLE_NETWORK */
 
 
@@ -1491,6 +1532,7 @@
 static void HandleSettingDescs(IniFile *ini, SettingDescProc *proc, SettingDescProcList *proc_list)
 {
 	proc(ini, (const SettingDesc*)_misc_settings,    "misc",  NULL);
+	proc(ini, (const SettingDesc*)_music_settings,   "music", &_msf);
 #if defined(WIN32) && !defined(DEDICATED)
 	proc(ini, (const SettingDesc*)_win32_settings,   "win32", NULL);
 #endif /* WIN32 */
@@ -1622,7 +1664,7 @@
 	delete ini;
 }
 
-static const SettingDesc *GetSettingDescription(uint index)
+const SettingDesc *GetSettingDescription(uint index)
 {
 	if (index >= lengthof(_settings)) return NULL;
 	return &_settings[index];
@@ -1822,6 +1864,157 @@
 }
 
 /**
+ * Build the CompanyProfile information from a given company
+ * @param company The company to build from
+ * @return A filled CompanyProfile
+ */
+CompanyProfile GetCompanyProfile(const Company &company)
+{
+	CompanyProfile company_profile;
+
+	SetDParam(0, company.index);
+	GetString(company_profile.president_name, STR_PRESIDENT_NAME, lastof(company_profile.president_name));
+
+	SetDParam(0, company.index);
+	GetString(company_profile.company_name, STR_COMPANY_NAME, lastof(company_profile.company_name));
+
+	company_profile.face = company.face;
+
+	for (int i = 0; i < LS_END; i++) {
+		company_profile.livery[i] = company.livery[i];
+	}
+
+	return company_profile;
+
+}
+
+/**
+ * Set a companies information from a CompanyProfile
+ * @param company_profile The CompanyProfile to use
+ * @return STR_NULL on success STR_* on fail
+ */
+StringID SetCompanyProfile(const CompanyProfile &company_profile) 
+{
+	char buf[MAX_LENGTH_PRESIDENT_NAME_CHARS > MAX_LENGTH_COMPANY_NAME_CHARS ? MAX_LENGTH_PRESIDENT_NAME_CHARS : MAX_LENGTH_COMPANY_NAME_CHARS];
+
+	sprintf(buf, "company_profile");
+
+	/* Set president name */
+	SetDParam(0, _company_pool.Get(_local_company)->index);  // Get local name
+	GetString(buf, STR_PRESIDENT_NAME, lastof(buf));         // ^Continued
+	if (strcmp(buf, company_profile.president_name) != 0) {  // Compare local and loaded
+		if (!DoCommandP(0, 0, 0, CMD_RENAME_PRESIDENT, NULL, company_profile.president_name)) return STR_ERROR_CAN_T_CHANGE_PRESIDENT;
+	}
+	
+	/* Set company name */
+	SetDParam(0, _company_pool.Get(_local_company)->index);// Get local name
+	GetString(buf, STR_COMPANY_NAME, lastof(buf));         // ^Continued
+	if (strcmp(buf, company_profile.company_name) != 0) {  // Compare local and loaded
+		if (!DoCommandP(0, 0, 0, CMD_RENAME_COMPANY, NULL, company_profile.company_name)) return STR_ERROR_CAN_T_CHANGE_COMPANY_NAME;
+	}
+
+	/* Set president face */
+	if (!IsValidCompanyManagerFace(company_profile.face) || !DoCommandP(0, 0, company_profile.face, CMD_SET_COMPANY_MANAGER_FACE)) return STR_PROFILE_FACE_ERROR;
+
+	/* Set livery */
+	for (int i = 0; i < LS_END; i++) {
+		if (!DoCommandP(0, i,            company_profile.livery[i].colour1, CMD_SET_COMPANY_COLOUR)) return STR_PROFILE_COLOUR_ERROR;
+		if (!DoCommandP(0, i | (1 << 8), company_profile.livery[i].colour2, CMD_SET_COMPANY_COLOUR)) return STR_PROFILE_COLOUR_ERROR;
+		if (!DoCommandP(0, i | (2 << 8), company_profile.livery[i].in_use,  CMD_SET_COMPANY_COLOUR)) return STR_PROFILE_COLOUR_ERROR;
+	}
+
+	return STR_NULL;
+
+}
+
+/**
+ * Load the company profile from the config
+ * @param company_profile CompanyProfile pointer to load into
+ * @return STR_NULL on success. STR_* on fail
+ */
+StringID CompanyLoadProfile(CompanyProfile &company_profile)
+{
+	IniFile  *ini;
+	IniGroup *group;
+	IniItem  *item;
+	char     buf[MAX_LENGTH_PRESIDENT_NAME_CHARS > MAX_LENGTH_COMPANY_NAME_CHARS ? MAX_LENGTH_PRESIDENT_NAME_CHARS : MAX_LENGTH_COMPANY_NAME_CHARS];
+	char     buf_ptr[16];
+	uint	 colour1,colour2;
+
+	sprintf(buf, "company_profile");
+
+	//CompanyProfile cp;
+	ini = IniLoadConfig();
+	group = ini->GetGroup(buf);
+	
+	/* Load president name */
+	item = group->GetItem("president_name", true);
+	if (item->value == NULL || strlen(item->value) >= MAX_LENGTH_PRESIDENT_NAME_CHARS) return STR_PROFILE_LOAD_ERROR;
+	strcpy(company_profile.president_name, item->value);
+
+	/* Load company name */
+	item = group->GetItem("company_name", true);
+	if (item->value == NULL || strlen(item->value) >= MAX_LENGTH_COMPANY_NAME_CHARS) return STR_PROFILE_LOAD_ERROR;
+	strcpy(company_profile.company_name, item->value);
+
+	/* Load president face */
+	item = group->GetItem("face", true);
+	if (item->value == NULL || sscanf(item->value, "%u", &(company_profile.face)) != 1) return STR_PROFILE_LOAD_ERROR;
+	
+	/* Load livery */
+	for (int i = 0; i < LS_END; i++) {
+		sprintf(buf_ptr, "livery_%i", i);
+		item = group->GetItem(buf_ptr, true);
+		if (item->value == NULL) return STR_PROFILE_LOAD_ERROR;
+		sscanf(strtok(item->value, ","), "%u", &colour1);
+		sscanf(strtok(NULL,        ","), "%u", &colour2);
+		company_profile.livery[i].colour1 = (byte) colour1;
+		company_profile.livery[i].colour2 = (byte) colour2;
+		company_profile.livery[i].in_use  = strcmp(strtok(NULL, ","),"1") == 0 ? true : false;
+	}
+
+	return STR_NULL;
+}
+
+/**
+ * Save the company profile information to the config
+ * @param company_profile CompanyProfile to save
+ * @return STR_NULL on success. STR_PROFILE_SAVE_ERROR on fail
+ */
+StringID CompanySaveProfile(const CompanyProfile &company_profile)
+{
+	IniFile  *ini;
+	IniGroup *group;
+	char     buf[32];
+	char     buf_item[16];
+	char     buf_ptr[16];
+	
+	sprintf(buf, "company_profile");
+
+	ini = IniLoadConfig();	
+	ini->RemoveGroup(buf);
+	group = ini->GetGroup(buf);
+
+	group->GetItem("president_name", true)->SetValue(company_profile.president_name);
+	group->GetItem("company_name",   true)->SetValue(company_profile.company_name);
+
+	sprintf(buf, "%u", company_profile.face);
+	group->GetItem("face",           true)->SetValue(buf);
+
+	/* Save Livery */
+	for (int i = 0; i < LS_END; i++) {
+		sprintf(buf_item, "livery_%i", i);
+		sprintf(buf_ptr, "%u,%u,%u", uint(company_profile.livery[i].colour1), uint(company_profile.livery[i].colour2), uint(company_profile.livery[i].in_use));
+		group->GetItem(buf_item, true)->SetValue(buf_ptr);
+	}
+
+	StringID result = ini->SaveToDisk(_config_file) ? STR_NULL : STR_PROFILE_SAVE_ERROR;
+	delete ini;
+
+	return result;
+}
+
+/**
  * Set a setting value with a string.
  * @param index the settings index.
  * @param value the value to write
diff --git a/src/settings_gui.cpp b/src/settings_gui.cpp
--- a/src/settings_gui.cpp
+++ b/src/settings_gui.cpp
@@ -52,6 +52,8 @@
 
 static const StringID _autosave_dropdown[] = {
 	STR_GAME_OPTIONS_AUTOSAVE_DROPDOWN_OFF,
+	STR_GAME_OPTIONS_AUTOSAVE_DROPDOWN_EVERY_1_DAY,
+	STR_GAME_OPTIONS_AUTOSAVE_DROPDOWN_EVERY_1_WEEK,
 	STR_GAME_OPTIONS_AUTOSAVE_DROPDOWN_EVERY_1_MONTH,
 	STR_GAME_OPTIONS_AUTOSAVE_DROPDOWN_EVERY_3_MONTHS,
 	STR_GAME_OPTIONS_AUTOSAVE_DROPDOWN_EVERY_6_MONTHS,
@@ -684,7 +686,7 @@
 		uint i;
 		const SettingDesc *sd = GetSettingFromName("difficulty.max_no_competitors", &i) + widget;
 		int32 value = (int32)ReadValue(GetVariableAddress(&this->opt_mod_temp, &sd->save), sd->save.conv);
-		SetDParam(0, sd->desc.val_str + value);
+		SetDParam(0, sd->desc.str + value);
 	}
 
 	virtual void UpdateWidgetSize(int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
@@ -702,7 +704,7 @@
 		/* Get the string and try all strings from the smallest to the highest value */
 		StringID str = this->GetWidget<NWidgetCore>(widget)->widget_data;
 		for (int32 value = sdb->min; (uint32)value <= sdb->max; value += sdb->interval) {
-			SetDParam(0, sdb->val_str + value);
+			SetDParam(0, sdb->str + value);
 			*size = maxdim(*size, GetStringBoundingBox(str));
 		}
 	}
@@ -1257,7 +1259,7 @@
 			if (sdb->flags & SGF_CURRENCY) {
 				SetDParam(0, STR_JUST_CURRENCY);
 			} else if (sdb->flags & SGF_MULTISTRING) {
-				SetDParam(0, sdb->val_str - sdb->min + value);
+				SetDParam(0, sdb->str - sdb->min + value + 1);
 			} else {
 				SetDParam(0, (sdb->flags & SGF_NOCOMMA) ? STR_JUST_INT : STR_JUST_COMMA);
 			}
@@ -1350,14 +1352,17 @@
 
 
 static SettingEntry _settings_ui_display[] = {
+	SettingEntry("gui.vehicle_speed"),
 	SettingEntry("gui.date_format_in_default_names"),
 	SettingEntry("gui.population_in_label"),
+	SettingEntry("gui.population_in_label_coloured"),
 	SettingEntry("gui.measure_tooltip"),
 	SettingEntry("gui.loading_indicators"),
 	SettingEntry("gui.liveries"),
 	SettingEntry("gui.show_track_reservation"),
 	SettingEntry("gui.expenses_layout"),
 	SettingEntry("gui.smallmap_land_colour"),
+	SettingEntry("gui.smallmap_flood_warning"),
 };
 /** Display options sub-page */
 static SettingsPage _settings_ui_display_page = {_settings_ui_display, lengthof(_settings_ui_display)};
@@ -1384,9 +1389,29 @@
 /** Interaction sub-page */
 static SettingsPage _settings_ui_interaction_page = {_settings_ui_interaction, lengthof(_settings_ui_interaction)};
 
+static SettingEntry _settings_ui_departureboards[] = {
+	SettingEntry("gui.max_departures"),
+	SettingEntry("gui.max_departure_time"),
+	SettingEntry("gui.departure_calc_frequency"),
+	SettingEntry("gui.departure_show_vehicle"),
+	SettingEntry("gui.departure_show_group"),
+	SettingEntry("gui.departure_show_company"),
+	SettingEntry("gui.departure_show_vehicle_type"),
+	SettingEntry("gui.departure_show_vehicle_color"),
+	SettingEntry("gui.departure_larger_font"),
+	SettingEntry("gui.departure_destination_type"),
+	SettingEntry("gui.departure_show_both"),
+	SettingEntry("gui.departure_only_passengers"),
+	SettingEntry("gui.departure_conditionals"),
+	SettingEntry("gui.departure_show_all_stops"),
+};
+/** Departureboards sub-page */
+static SettingsPage _settings_ui_departureboards_page = {_settings_ui_departureboards, lengthof(_settings_ui_departureboards)};
+
 static SettingEntry _settings_ui[] = {
 	SettingEntry(&_settings_ui_display_page, STR_CONFIG_SETTING_DISPLAY_OPTIONS),
 	SettingEntry(&_settings_ui_interaction_page, STR_CONFIG_SETTING_INTERACTION),
+	SettingEntry(&_settings_ui_departureboards_page, STR_CONFIG_SETTING_DEPARTUREBOARDS),
 	SettingEntry("gui.show_finances"),
 	SettingEntry("gui.errmsg_duration"),
 	SettingEntry("gui.hover_delay"),
@@ -1396,6 +1421,9 @@
 	SettingEntry("gui.pause_on_newgame"),
 	SettingEntry("gui.advanced_vehicle_list"),
 	SettingEntry("gui.timetable_in_ticks"),
+	SettingEntry("gui.time_in_minutes"),
+	SettingEntry("gui.ticks_per_minute"),
+	SettingEntry("gui.date_with_time"),
 	SettingEntry("gui.timetable_arrival_departure"),
 	SettingEntry("gui.quick_goto"),
 	SettingEntry("gui.default_rail_type"),
@@ -1413,12 +1441,26 @@
 	SettingEntry("gui.semaphore_build_before"),
 	SettingEntry("gui.default_signal_type"),
 	SettingEntry("gui.cycle_signal_types"),
+	SettingEntry("construction.maximum_signal_evaluations"),
 };
 /** Signals subpage */
 static SettingsPage _settings_construction_signals_page = {_settings_construction_signals, lengthof(_settings_construction_signals)};
 
+static SettingEntry _settings_construction_trafficlights[] = {
+	SettingEntry("construction.traffic_lights"),
+	SettingEntry("construction.towns_build_traffic_lights"),
+	SettingEntry("construction.allow_building_tls_in_towns"),
+	SettingEntry("construction.traffic_lights_green_phase"),
+	SettingEntry("construction.max_tlc_size"),
+	SettingEntry("construction.max_tlc_distance"),
+};
+/** Traffic lights subpage */
+static SettingsPage _settings_construction_trafficlights_page = {_settings_construction_trafficlights, lengthof(_settings_construction_trafficlights)};
+
 static SettingEntry _settings_construction[] = {
 	SettingEntry(&_settings_construction_signals_page, STR_CONFIG_SETTING_CONSTRUCTION_SIGNALS),
+	SettingEntry(&_settings_construction_trafficlights_page, STR_CONFIG_SETTING_CONSTRUCTION_TRAFFIC_LIGHTS),
+	SettingEntry("construction.allow_more_heightlevels"),
 	SettingEntry("construction.build_on_slopes"),
 	SettingEntry("construction.autoslope"),
 	SettingEntry("construction.extra_dynamite"),
@@ -1427,7 +1469,11 @@
 	SettingEntry("station.never_expire_airports"),
 	SettingEntry("construction.freeform_edges"),
 	SettingEntry("construction.extra_tree_placement"),
+	SettingEntry("construction.tree_placement_drag_limit"),
 	SettingEntry("construction.command_pause_level"),
+	SettingEntry("construction.ingame_tree_line_height"),
+	SettingEntry("construction.tree_growth_rate"),
+	SettingEntry("gui.cp_paste_speed"),
 };
 /** Construction sub-page */
 static SettingsPage _settings_construction_page = {_settings_construction, lengthof(_settings_construction)};
@@ -1463,8 +1509,13 @@
 	SettingEntry("economy.found_town"),
 	SettingEntry("economy.mod_road_rebuild"),
 	SettingEntry("economy.town_growth_rate"),
+	SettingEntry("economy.town_growth_cargo"),
+	SettingEntry("economy.town_pop_need_goods"),
+	SettingEntry("economy.larger_town_growth_cargo"),
+	SettingEntry("economy.larger_town_pop_need_goods"),
 	SettingEntry("economy.larger_towns"),
 	SettingEntry("economy.initial_city_size"),
+	SettingEntry("economy.town_cargo_factor"),
 };
 /** Towns sub-page */
 static SettingsPage _settings_economy_towns_page = {_settings_economy_towns, lengthof(_settings_economy_towns)};
@@ -1472,6 +1523,7 @@
 static SettingEntry _settings_economy_industries[] = {
 	SettingEntry("construction.raw_industry_construction"),
 	SettingEntry("construction.industry_platform"),
+	SettingEntry("construction.extra_industry_placement_logic"),
 	SettingEntry("economy.multiple_industry_per_town"),
 	SettingEntry("game_creation.oil_refinery_limit"),
 };
@@ -1484,10 +1536,28 @@
 	SettingEntry("economy.inflation"),
 	SettingEntry("economy.smooth_economy"),
 	SettingEntry("economy.feeder_payment_share"),
+	SettingEntry("daylength_factor"),
 };
 /** Economy sub-page */
 static SettingsPage _settings_economy_page = {_settings_economy, lengthof(_settings_economy)};
 
+static SettingEntry _settings_linkgraph[] = {
+	SettingEntry("linkgraph.recalc_interval"),
+	SettingEntry("linkgraph.distribution_pax"),
+	SettingEntry("linkgraph.distribution_mail"),
+	SettingEntry("linkgraph.distribution_express"),
+	SettingEntry("linkgraph.distribution_armoured"),
+	SettingEntry("linkgraph.distribution_default"),
+	SettingEntry("linkgraph.accuracy"),
+	SettingEntry("linkgraph.demand_distance"),
+	SettingEntry("linkgraph.demand_size"),
+	SettingEntry("linkgraph.short_path_saturation"),
+	SettingEntry("linkgraph.no_overload_links"),
+	SettingEntry("gui.linkgraph_companies"),
+};
+/** Linkgraph sub-page */
+static SettingsPage _settings_linkgraph_page = {_settings_linkgraph, lengthof(_settings_linkgraph)};
+
 static SettingEntry _settings_ai_npc[] = {
 	SettingEntry("ai.ai_in_multiplayer"),
 	SettingEntry("ai.ai_disable_veh_train"),
@@ -1499,8 +1569,23 @@
 /** Computer players sub-page */
 static SettingsPage _settings_ai_npc_page = {_settings_ai_npc, lengthof(_settings_ai_npc)};
 
+static SettingEntry _settings_sharing[] = {
+	SettingEntry("economy.infrastructure_sharing[0]"),
+	SettingEntry("economy.infrastructure_sharing[1]"),
+	SettingEntry("economy.infrastructure_sharing[2]"),
+	SettingEntry("economy.infrastructure_sharing[3]"),
+	SettingEntry("economy.sharing_fee[0]"),
+	SettingEntry("economy.sharing_fee[1]"),
+	SettingEntry("economy.sharing_fee[2]"),
+	SettingEntry("economy.sharing_fee[3]"),
+	SettingEntry("economy.sharing_payment_in_debt"),
+};
+/** Infrastructure sharing sub-page */
+static SettingsPage _settings_sharing_page = {_settings_sharing, lengthof(_settings_sharing)};
+
 static SettingEntry _settings_ai[] = {
 	SettingEntry(&_settings_ai_npc_page, STR_CONFIG_SETTING_AI_NPC),
+	SettingEntry(&_settings_sharing_page, STR_CONFIG_SETTING_SHARING),
 	SettingEntry("economy.give_money"),
 	SettingEntry("economy.allow_shares"),
 };
@@ -1510,6 +1595,7 @@
 static SettingEntry _settings_vehicles_routing[] = {
 	SettingEntry("pf.pathfinder_for_trains"),
 	SettingEntry("pf.forbid_90_deg"),
+	SettingEntry("pf.back_of_one_way_pbs_waiting_point"),
 	SettingEntry("pf.pathfinder_for_roadvehs"),
 	SettingEntry("pf.roadveh_queue"),
 	SettingEntry("pf.pathfinder_for_ships"),
@@ -1533,6 +1619,7 @@
 	SettingEntry("vehicle.servint_aircraft"),
 	SettingEntry("order.no_servicing_if_no_breakdowns"),
 	SettingEntry("order.serviceathelipad"),
+	SettingEntry("vehicle.improved_breakdowns"),
 };
 /** Servicing sub-page */
 static SettingsPage _settings_vehicles_servicing_page = {_settings_vehicles_servicing, lengthof(_settings_vehicles_servicing)};
@@ -1555,6 +1642,7 @@
 	SettingEntry(&_settings_vehicles_autorenew_page, STR_CONFIG_SETTING_VEHICLES_AUTORENEW),
 	SettingEntry(&_settings_vehicles_servicing_page, STR_CONFIG_SETTING_VEHICLES_SERVICING),
 	SettingEntry(&_settings_vehicles_trains_page, STR_CONFIG_SETTING_VEHICLES_TRAINS),
+	SettingEntry("order.gotodepot"),
 	SettingEntry("gui.new_nonstop"),
 	SettingEntry("gui.order_review_system"),
 	SettingEntry("gui.vehicle_income_warn"),
@@ -1566,6 +1654,8 @@
 	SettingEntry("vehicle.max_ships"),
 	SettingEntry("vehicle.plane_speed"),
 	SettingEntry("vehicle.plane_crashes"),
+	SettingEntry("order.timetable_separation"),
+	SettingEntry("order.timetabling"),
 	SettingEntry("vehicle.dynamic_engines"),
 	SettingEntry("vehicle.roadveh_acceleration_model"),
 	SettingEntry("vehicle.roadveh_slope_steepness"),
@@ -1580,6 +1670,7 @@
 	SettingEntry(&_settings_vehicles_page,     STR_CONFIG_SETTING_VEHICLES),
 	SettingEntry(&_settings_stations_page,     STR_CONFIG_SETTING_STATIONS),
 	SettingEntry(&_settings_economy_page,      STR_CONFIG_SETTING_ECONOMY),
+	SettingEntry(&_settings_linkgraph_page,    STR_CONFIG_SETTING_LINKGRAPH),
 	SettingEntry(&_settings_ai_page,           STR_CONFIG_SETTING_AI),
 };
 
diff --git a/src/settings_internal.h b/src/settings_internal.h
--- a/src/settings_internal.h
+++ b/src/settings_internal.h
@@ -69,7 +69,6 @@
 	int32 interval;         ///< the interval to use between settings in the 'settings' window. If interval is '0' the interval is dynamically determined
 	const char *many;       ///< ONE/MANY_OF_MANY: string of possible values for this type
 	StringID str;           ///< (translated) string with descriptive text; gui and console
-	StringID val_str;       ///< (translated) first string describing the value.
 	OnChange *proc;         ///< callback procedure for when the value is changed
 	OnConvert *proc_cnvt;   ///< callback procedure when loading value mechanism fails
 };
